<template>
  <div class="px-6 py-10 sm:max-w-xs md:max-w-sm lg:max-w-md xl:max-w-lg">
    <component :is="iconComp" class="h-20 w-20 fill-current text-gray-700" />
    <h4 class="mt-6">{{ heading }}</h4>
    <div class="markdown" v-html="text" />
  </div>
</template>

<script>
import path from 'path';

export default {
  name: 'CorePointBox',
  props: {
    icon: String,
    heading: String,
    text: String,
  },
  computed: {
    iconComp() {
      const iconFile = path.basename(this.icon);
      return () => import(
        /* webpackInclude: /-icon\.svg$/ */
        `../../../static/media/${iconFile}`
      );
    },
  },
};
</script>